Bug 1316207 - rabbitmq-server rpm does not restart after yum/rpm update
rabbitmq-server rpm does not restart after yum/rpm update
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server (Show other bugs)
5.0 (RHEL 6)
All Linux
unspecified Severity high
: async
: 8.0 (Liberty)
Assigned To: Peter Lemenkov
Udi Shkalim
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 12:00 EST by Dan Yocum
Modified: 2016-10-27 09:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-27 09:54:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2016-03-09 12:00:47 EST
Description of problem:

After a yum or rpm update, the rabbitmq-server does not restart automatically.

The %postinstall scriptlet should check to see if the service is enabled, and restart the server (and do nothing if it is not enabled).

Version-Release number of selected component (if applicable):

rabbitmq-server-3.1.5-6.1.el6ost.noarch

How reproducible:

every

Steps to Reproduce:
1. yum update rabbitmq-server

Actual results:

# yum history  info 275
Loaded plugins: priorities, rhnplugin, security
This system is receiving updates from RHN Classic or RHN Satellite.
Transaction ID : 275
Begin time     : Wed Mar  9 10:06:07 2016
Begin rpmdb    : 549:c4f71f794e733de1483d779a09c7857c01506b6a
End time       :            10:06:19 2016 (12 seconds)
End rpmdb      : 549:603d993c1bdd43ab6fc4400be036fbcd5d007e41
User           : root <root>
Return-Code    : Success
Command Line   : -y --security update
Transaction performed with:
    Installed     rpm-4.8.0-47.el6.x86_64                  @rhel-x86_64-server-6
    Installed     yum-3.2.29-69.el6.noarch                 @rhel-x86_64-server-6
    Installed     yum-metadata-parser-1.1.2-16.el6.x86_64  @anaconda-RedHatEnterpriseLinux-201206132210.x86_64/6.3
    Installed     yum-plugin-security-1.1.30-30.el6.noarch @rhel-x86_64-server-6
Packages Altered:
    Updated nss-util-3.19.1-2.el6_7.x86_64          @rhel-x86_64-server-6
    Update           3.19.1-5.el6_7.x86_64          @rhel-x86_64-server-6
    Updated rabbitmq-server-3.1.5-6.0.el6ost.noarch @rhel-x86_64-server-6-ost-5
    Update                  3.1.5-6.1.el6ost.noarch @rhel-x86_64-server-6-ost-5
Scriptlet output:
   1 Stopping rabbitmq-server: rabbitmq-server.
history info


Expected results:

# yum history  info 275
Loaded plugins: priorities, rhnplugin, security
This system is receiving updates from RHN Classic or RHN Satellite.
Transaction ID : 275
Begin time     : Wed Mar  9 10:06:07 2016
Begin rpmdb    : 549:c4f71f794e733de1483d779a09c7857c01506b6a
End time       :            10:06:19 2016 (12 seconds)
End rpmdb      : 549:603d993c1bdd43ab6fc4400be036fbcd5d007e41
User           : root <root>
Return-Code    : Success
Command Line   : --disablerepo=epel,li,li-rhscl,li-staging,ops-rpm,ops-rpm-stg,zend,zend-noarch -y --security update
Transaction performed with:
    Installed     rpm-4.8.0-47.el6.x86_64                  @rhel-x86_64-server-6
    Installed     yum-3.2.29-69.el6.noarch                 @rhel-x86_64-server-6
    Installed     yum-metadata-parser-1.1.2-16.el6.x86_64  @anaconda-RedHatEnterpriseLinux-201206132210.x86_64/6.3
    Installed     yum-plugin-security-1.1.30-30.el6.noarch @rhel-x86_64-server-6
Packages Altered:
    Updated nss-util-3.19.1-2.el6_7.x86_64          @rhel-x86_64-server-6
    Update           3.19.1-5.el6_7.x86_64          @rhel-x86_64-server-6
    Updated rabbitmq-server-3.1.5-6.0.el6ost.noarch @rhel-x86_64-server-6-ost-5
    Update                  3.1.5-6.1.el6ost.noarch @rhel-x86_64-server-6-ost-5
Scriptlet output:
   1 Stopping rabbitmq-server: rabbitmq-server.
   2 Starting rabbitmq-server: rabbitme-server.

history info

Additional info:
Comment 2 Peter Lemenkov 2016-03-10 05:04:13 EST
This is the same issue as bug 1259564 and bug 1264083. Looks like we just forgot to update this branch as well.
Comment 3 Peter Lemenkov 2016-03-10 05:05:39 EST
Fix proposed in bug 1259564#c4.
Comment 4 Mike McCune 2016-03-28 19:19:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Peter Lemenkov 2016-10-27 09:54:58 EDT
We're going to close this. it's very unlikely that we're going to push any new builds into RHOS5el6, so this issue won't be triggered.

I'll keep the patch in the queue, and if we do consider backporting anything to this version, I'll apply it.

Note You need to log in before you can comment on or make changes to this bug.